<?php
/**
 * @package Stag_Customizer
 */

global $authordata;

$author_id = $authordata->ID;

get_header(); ?>

<main id="main" class="site-main" role="main">

	<header class="section-header">
		<?php get_template_part( 'partials/section', 'title' ); ?>
		<?php get_template_part( 'partials/section', 'description' ); ?>

		<div class="author-social-profiles">
		<?php
			$social_profiles = stag_get_user_social_profiles( $author_id );
			$default_fields = stag_custom_user_fields();

			if( count( $social_profiles ) ) {
				foreach( $social_profiles as $slug => $url ) {
					echo '<li class="'. esc_attr( $slug ) .'"><a href="'. esc_url( $url ) .'" title="'. esc_attr( ucfirst( $slug ) ) .'"><i class="fab '. $default_fields[$slug]['class'] .'"></i></a></li>';
				}
			}

			if ( '' != $author_url = get_the_author_meta( 'user_url' ) ) {
				echo '<li class="website"><a href="'. esc_url( $author_url ) .'" title="'.  esc_attr__( 'Website', 'skilt' ).'"><i class="fas fa-globe"></i></a></li>';
			}
		?>
		</div>


		<div class="author-posts-count">
			<h5 class="posts-count"><?php echo count_user_posts( $author_id ); ?> <?php _e( 'Posts', 'skilt' ); ?></h5>
		</div>
	</header>

	<?php if ( have_posts() ) : ?>
		<div id="posts-wrapper">

		<?php while ( have_posts() ) : the_post(); ?>
			<?php get_template_part( 'format', get_post_format() ); ?>
		<?php endwhile; ?>

		</div>

		<div id="gutter-sizer"></div>

		<?php get_template_part( 'partials/nav', 'paging' ); ?>

	<?php else: ?>
		<?php get_template_part( 'partials/content', 'none' ); ?>
	<?php endif; ?>
</main>

<?php get_footer();
