<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains both current comments
 * and the comment form. The actual display of comments is
 * handled by a callback to stag_comment() which is
 * located in the inc/template-tags.php file.
 *
 * @package Stag_Customizer
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php if ( have_comments() ) : ?>
	<div class="comment-list-wrapper">
		<div class="comment-list-inner">

				<h3 id="comments-title" class="comments-title">
					<?php
						printf( _nx( '%1$s Comment', '%1$s Comments', get_comments_number(), 'comments title', 'skilt' ),
							number_format_i18n( get_comments_number() ), '<span>' . get_the_title() . '</span>' );
					?>
				</h3>

				<ol class="comment-list">
					<?php wp_list_comments( array(
						'avatar_size' => 41,
						'callback'    => 'stag_comment'
					) ); ?>
				</ol><!-- .comment-list -->

				<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
					<nav id="comment-nav" class="comment-navigation nav-links">
						<h1 class="screen-reader-text"><?php _e( 'Comment navigation', 'skilt' ); ?></h1>
						<div class="nav-next"><?php previous_comments_link( __( '&larr;', 'skilt' ) ); ?></div>
						<div class="nav-previous"><?php next_comments_link( __( '&rarr;', 'skilt' ) ); ?></div>
					</nav><!-- #comment-nav-above -->
				<?php endif; // check for comment navigation ?>

		</div>
	</div>
	<?php endif; // have_comments() ?>

	<?php
	// If comments are closed and there are comments, let's leave a little note, shall we?
	if ( ! comments_open() && 0 !== (int) get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
		?>
		<p class="no-comments"><?php _e( 'Comments are closed.', 'skilt' ); ?></p>
	<?php endif; ?>

	<div class="comment-form-wrapper">
		<?php comment_form(); ?>
	</div>
</div>
