<?php
/**
 * @package Stag_Customizer
 */
?><!DOCTYPE html>
<!--[if lte IE 9]>    <html class="no-js IE9 IE" <?php language_attributes(); ?>> <![endif]-->
<!--[if gt IE 9]><!--> <html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->

<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, minimal-ui">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> data-layout="<?php echo esc_attr( skilt_get_site_layout() ); ?>">
<?php wp_body_open(); ?>

<nav id="site-nav" class="site-nav" role="navigation" tabindex="-1">
	<a class="skip-link screen-reader-text" href="#main"><?php _e( 'Skip to content', 'skilt' ); ?></a>

	<div class="site-nav--scrollable-container">
		<i id="close-nav" class="fas fa-times"></i>

		<?php stag_maybe_show_primary_menu( 'sidebar' ); ?>

		<?php if ( is_active_sidebar( 'sidebar-drawer' ) ) : ?>
			<?php dynamic_sidebar( 'sidebar-drawer' ); ?>
		<?php endif; ?>
	</div>
</nav>

<div class="site-nav-overlay"></div>

<?php get_template_part( 'partials/content', 'background' ); ?>

<div class="container">

	<div id="page" class="hfeed site">

		<header id="masthead" class="site-header">

			<div class="site-branding">
				<?php if ( stag_get_logo()->has_logo() ) : ?>
					<div class="custom-logo">
						<a rel="home" title="<?php esc_attr_e( 'Home', 'skilt' ); ?>" href="<?php echo esc_url( home_url( '/' ) ); ?>"></a>
					</div>
				<?php else: ?>
					<h1 class="site-title"><a href="<?php echo esc_url( home_url() ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
				<?php endif; ?>

				<?php $hide_tagline = stag_theme_mod( 'title_tagline', 'hide-tagline' );  ?>
				<p class="site-description"<?php if ( $hide_tagline ) echo ' hidden'; ?>><?php bloginfo( 'description' ); ?></p>
			</div>

			<?php stag_maybe_show_primary_menu( 'header' ); ?>

			<a href="#" id="site-navigation-toggle" class="site-navigation-toggle"><i class="fas fa-bars"></i></a>

		</header><!-- #masthead -->
