<?php
/**
 * @package Stag_Customizer
 * @subpackage Starter
 */

if ( ! function_exists( 'stag_display_favicons' ) ) :
	/**
	 * Write the favicons to the head to implement the options.
	 *
	 * @since  1.0.0.
	 *
	 * @return void
	 */
	function stag_display_favicons() {
		$logo_favicon = stag_theme_mod( 'general_settings', 'favicon' );
		if ( ! empty( $logo_favicon ) ) : ?>
		<link rel="icon" href="<?php echo esc_url( $logo_favicon ); ?>" />
			<?php
	endif;

		$logo_apple_touch = stag_theme_mod( 'general_settings', 'apple-touch-icon' );
		if ( ! empty( $logo_apple_touch ) ) :
			?>
		<link rel="apple-touch-icon" href="<?php echo esc_url( $logo_apple_touch ); ?>" />
			<?php
	endif;
	}
endif;
add_action( 'wp_head', 'stag_display_favicons' );

if ( ! function_exists( 'stag_display_tracking_code' ) ) :
	/**
	 * Output the tracking code or RAW javascript code.
	 *
	 * @return void
	 */
	function stag_display_tracking_code() {
		$old_tracking_code = get_theme_mod( 'google_analytics', false );
		$tracking_code     = stag_theme_mod( 'general_settings', 'google_analytics_script' );

		if ( ! empty( $old_tracking_code ) && empty( $tracking_code ) ) :
			?>
			<script type="text/javascript"><?php echo $old_tracking_code; // phpcs:ignore ?></script>
			<?php
		elseif ( ! empty( $tracking_code ) ) :
			echo wp_kses( $tracking_code, skilt_analytics_allowed_code() );
		endif;
	}
endif;
add_action( 'wp_footer', 'stag_display_tracking_code' );
