<?php
/**
 * @package Stag_Customizer
 */

get_header();

$is_showing_intro = stag_theme_mod( 'static_front_page', 'show-intro' );
$intro_page       = stag_theme_mod( 'static_front_page', 'intro-page' );
$post             = get_post( $intro_page );

?>

<main id="main" class="site-main" role="main">

	<?php if ( $is_showing_intro && $intro_page !== 0 ) : ?>
	<section class="intro-page">
		<h2 class="intro-title"><?php echo esc_html( $post->post_title ); ?></h2>

		<div class="entry-content">
			<?php echo apply_filters( 'the_content', $post->post_content ); ?>
		</div>
	</section>
	<?php endif; ?>

	<?php if ( have_posts() ) : ?>
		<div id="posts-wrapper">

		<?php while ( have_posts() ) : the_post(); ?>
			<?php get_template_part( 'format', get_post_format() ); ?>
		<?php endwhile; ?>

		</div>

		<div id="gutter-sizer"></div>

		<?php get_template_part( 'partials/nav', 'paging' ); ?>

	<?php else : ?>
		<?php get_template_part( 'partials/content', 'none' ); ?>
	<?php endif; ?>

</main>

<?php get_footer(); ?>
