<?php
/**
 * @package Stag_Customizer
 */

$class            = '';
$universal_filter = stag_theme_mod( 'background_image', 'background-filter' );

if ( is_singular() ) {
	$post_id            = get_the_ID();
	$class              .= ' page-cover--' . $post_id;

	$background_image   = stag_get_post_meta( 'settings', $post_id, 'post-background-image' );
	$background_color   = stag_get_post_meta( 'settings', $post_id, 'post-background-color' );
	$background_opacity = stag_get_post_meta( 'settings', $post_id, 'post-background-opacity' );
	$background_filter  = stag_get_post_meta( 'settings', $post_id, 'post-background-filter' );

	if ( ! $background_filter ) $background_filter = 'none';

	$filter = ' stag-image--' . $background_filter;
} else {
	$filter = ' stag-image--' . $universal_filter;
}

if ( is_single() && !stag_get_post_meta( 'settings', $post_id, 'post-background-image' ) ) {
	$filter = ' stag-image--' . $universal_filter;
}

$class .= $filter;

?>

<div class="page-cover<?php echo esc_attr( $class ); ?>">
<?php if ( is_singular() ) : ?>
	<style type="text/css">
	<?php

	if ( $background_image && '' !== $background_image ) {
		echo ".page-cover--{$post_id} { background-image: url(". esc_url( $background_image ) ."); opacity: ". absint( $background_opacity ) / 100 ."; }";
	}

	if ( $background_color && '' !== $background_color ) {
		echo "body { background-color: {$background_color}; }";
	}

	?>
	</style>
<?php endif; ?>
</div>
