<?php
/**
 * @package Stag_Customizer
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php get_template_part( 'partials/entry', 'title' ); ?>
		<?php if ( 'page' !== get_post_type() ) : ?>
			<?php get_template_part( 'partials/entry', 'date' ); ?>
		<?php endif; ?>

		<?php
		// Category and tag lists
		if ( has_category() || has_tag() ) : ?>
			<?php
			$term_divider  = _x( ' &#47; ', 'term divider', 'skilt' );
			$category_list = get_the_category_list( $term_divider );
			$tag_list      = get_the_tag_list( '', $term_divider );
			$meta_text     = '<span class="entry-terms">' . _x( ' &#45; ', 'search result date/terms divider', 'skilt' );

			// Categories
			if ( stag_categorized_blog() && $category_list ) :
				$meta_text .= '%1$s';
			endif;

			// Category / Tag divider
			if ( '' !== $meta_text && $tag_list ) :
				$meta_text .= $term_divider;
			endif;

			// Tags
			if ( $tag_list ) :
				$meta_text .= '%2$s';
			endif;

			$meta_text .= '</span>';
			// Output
			printf(
				$meta_text,
				$category_list,
				$tag_list
			);
			?>
		<?php endif; ?>
	</header>

	<div class="entry-content">
		<?php the_excerpt(); ?>
		<div class="read-more">
			<a href="<?php esc_url( get_permalink() ); ?>" class="more-link"><?php echo stag_get_read_more_text(); ?></a>
		</div>
	</div>
</article>
