<?php
/**
 * Post sharing buttons.
 *
 * @package Stag_Customizer
 */

/**
 * Prevent Subtitles from being added in title for social text.
 *
 * @see https://wordpress.org/plugins/subtitles/
 *
 * @since 2.1.3
 */
add_filter( 'subtitle_view_supported', '__return_false' );

$message = apply_filters( 'stag_share_message', sprintf( _x( '%1$s on %2$s - %3$s', '1: Article title 2: Site Name 3: Site URL', 'skilt' ), html_entity_decode( get_the_title() ), get_bloginfo( 'name' ), get_permalink() ) );

?>

<div class="post-share-buttons">
	<?php do_action( 'skilt_share_before', $message ); ?>
	<a target="_blank" class="share-button" href="<?php echo esc_url( sprintf( 'http://www.twitter.com?status=%s', urlencode( $message ) ) ); ?>"><i class="fab fa-twitter"></i></a>
	<a target="_blank" class="share-button" href="<?php echo esc_url( sprintf( 'http://www.facebook.com/sharer.php?u=%s', get_permalink() ) ); ?>"><i class="fab fa-facebook-square"></i></a>
	<?php do_action( 'skilt_share_after', $message ); ?>
</div>
