<?php
/**
 * @package Stag_Customizer
 */

$post_id     = get_the_ID();

/** @var integer Post thumbnail width. */
$thumb_width = 1100;

/** @var string Post thumbnail size. */
$thumb_size  = 'content-full';

$layout = stag_theme_mod( 'styling-options', 'layout' );

if ( ( ! is_singular() || has_filter( 'stag_showing_related_posts' ) ) && 'full-width' != $layout ) {
	$thumb_width = 500;
	$thumb_size  = 'content-grid';
}

if ( ! is_single() && is_sticky() ) {
	$thumb_size = array( 770, 9999 );
}

$post_thumbnail = get_the_post_thumbnail( $post_id, $thumb_size );
$condition      = ( ! is_singular() || has_filter( 'stag_showing_related_posts' ) );

// Get Featured Image's caption
$thumb_post = get_post( get_post_thumbnail_id() );
$caption    = $thumb_post->post_excerpt;

?>

<?php if ( has_post_thumbnail( $post_id ) ) : ?>
<figure class="entry-thumbnail<?php if ( stag_is_thumbnail_wide_enough( get_post_thumbnail_id( $post_id ), $thumb_width, $thumb_size ) ) echo ' post-header'; ?>">
	<?php if ( $condition ) : ?><a href="<?php the_permalink(); ?>" rel="bookmark"><?php endif; ?>
	<?php echo $post_thumbnail; // phpcs:ignore ?>
	<?php if ( $condition ) : ?></a><?php endif; ?>

	<?php if ( stag_is_photo() && '' !== $caption ) : ?>
	<figcaption class="entry-caption"><?php echo esc_html( $caption ); ?></figcaption>
	<?php endif; ?>
</figure>
<?php endif; ?>
