<?php
/**
 * @package Stag_Customizer
 */

$layout = (bool) stag_theme_mod( 'layout', 'post-navigation' );

if ( false === $layout ) {
	return;
}

$next_link = get_next_post_link(
	'<div class="nav-next post-link">%link</div>',
	__( 'Next Post <i class="post-links--icon fas fa-angle-right"></i>', 'skilt' )
);

$previous_link = get_previous_post_link(
	'<div class="nav-previous post-link">%link</div>',
	__( '<i class="post-links--icon fas fa-angle-left"></i> Previous Post', 'skilt' )
);

if ( '' !== $next_link || '' !== $previous_link ) : ?>
<nav class="navigation post-navigation" role="navigation">
	<span class="screen-reader-text"><?php _e( 'Post navigation', 'skilt' ); ?></span>
	<div class="post-links">
		<?php
		echo $previous_link; // phpcs:ignore
		echo $next_link; // phpcs:ignore
		?>
	</div>
</nav>
<?php endif;
